from pathlib import Path

from majordome import main


def test_download_and_save_latest_asset(freetube_url, freetube_amd64_deb_mnemonic):
    destination = Path(__file__).parent / "tmp"

    main.download_latest(freetube_url, freetube_amd64_deb_mnemonic, destination)

    files = list(destination.glob("*"))
    assert len(files) == 1
    assert files[0].filename == "freetube_0.23.2_amd64.deb"
